export class UmbBlockValueResolver {
    async _processValueBlockData(value, valuesCallback) {
        const contentData = await Promise.all((value.contentData ?? []).map(async (entry) => ({
            ...entry,
            values: (await valuesCallback(entry.values)) ?? [],
        })));
        const settingsData = await Promise.all((value.settingsData ?? []).map(async (entry) => ({
            ...entry,
            values: (await valuesCallback(entry.values)) ?? [],
        })));
        return { ...value, contentData, settingsData };
    }
    async _processVariantBlockData(value, variantsCallback) {
        const expose = (await variantsCallback(value.expose ?? [])) ?? [];
        return { ...value, expose };
    }
    compareVariants(a, b) {
        return a.contentKey === b.contentKey && a.culture === b.culture && a.segment === b.segment;
    }
    destroy() { }
}
